%define majver %(echo %version | cut -d. -f1-2)

Name:          kirigami-addons
Version:       1.7.0
Release:       1mamba
Summary:       Set of widgets i.e visual end user components along with a code to support them
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org
Source:        https://download.kde.org/stable/kirigami-addons/kirigami-addons-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libQt6Widgets
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kglobalaccel-devel
BuildRequires: libkf6-kguiaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules

%description
Set of widgets i.e visual end user components along with a code to support them.

%package -n lib%{name}
Summary:       Set of widgets i.e visual end user components along with a code to support them
Group:         System/Libraries
Provides:      kirigami-addons
Obsoletes:     kirigami-addons < 1.4.0

%description -n lib%{name}
Set of widgets i.e visual end user components along with a code to support them.
This package provides the shared libraries.

%package -n lib%{name}-devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%cmake_kf6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libKirigamiAddonsStatefulApp.so.*
%dir %{_libdir}/qt6/qml/org/kde/kirigamiaddons
%{_libdir}/qt6/qml/org/kde/kirigamiaddons/*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/KirigamiAddonsStatefulApp
%{_includedir}/KirigamiAddonsStatefulApp/*
%{_libdir}/libKirigamiAddonsStatefulApp.so
%{_datadir}/kdevappwizard/templates/*.tar.bz2
%dir %{_libdir}/cmake/KF6KirigamiAddons
%{_libdir}/cmake/KF6KirigamiAddons/*

%changelog
* Sat Jan 18 2025 Automatic Build System <autodist@openmamba.org> 1.7.0-1mamba
- automatic version update by autodist

* Mon Dec 02 2024 Automatic Build System <autodist@openmamba.org> 1.6.0-1mamba
- automatic version update by autodist

* Sat Oct 12 2024 Automatic Build System <autodist@openmamba.org> 1.5.0-1mamba
- automatic version update by autodist

* Thu Jul 25 2024 Automatic Build System <autodist@openmamba.org> 1.4.0-1mamba
- automatic version update by autodist

* Wed Jun 26 2024 Automatic Build System <autodist@openmamba.org> 1.3.0-1mamba
- automatic version update by autodist

* Wed May 15 2024 Automatic Build System <autodist@openmamba.org> 1.2.1-1mamba
- automatic version update by autodist

* Fri May 10 2024 Automatic Build System <autodist@openmamba.org> 1.2.0-1mamba
- automatic version update by autodist

* Tue Apr 02 2024 Automatic Build System <autodist@openmamba.org> 1.1.0-1mamba
- automatic version update by autodist

* Sat Mar 02 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- update to 1.0.1

* Tue Jan 30 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11.90-1mamba
- update to 0.11.90

* Thu Aug 17 2023 Automatic Build System <autodist@mambasoft.it> 0.11.0-1mamba
- automatic version update by autodist

* Mon Jul 24 2023 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Fri Apr 14 2023 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Wed Mar 08 2023 Automatic Build System <autodist@mambasoft.it> 0.7.2-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic version update by autodist

* Sun Feb 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.0-1mamba
- package created using the webbuild interface
